using Microsoft.AspNetCore.Mvc.Testing;
using RidgeDemoWebApp.Controllers;
using Xunit;

namespace TestRidgeApp;

[TestClass]
public class BasicTests 
{

    
    [TestMethod]
    public async Task CallControllerUsingRidge()
    {
       
        using var webApplicationFactory =
            new WebApplicationFactory<Program>()
                .WithRidge(); // add ridge dependencies to WebApplicationFactory
        var client = webApplicationFactory.CreateClient();
        // create instance of client generated by source generator
        var examplesControllerClient = new WeatherForecastControllerClient(client, webApplicationFactory.Services);

        var response = await examplesControllerClient.Get();

        Assert.IsTrue(response.IsSuccessStatusCode);
        Assert.AreEqual(5, response.Result.Count());
    }
}